Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.image
Interface ImageFactory

    public interface ImageFactory

This interface is used for classes which can produce instances of Image implementors. Classes which implement this interface should provide a zero argument, public constructor so that they can be created using newInstance(). e.g.

     Image image;
     try {
       Class factoryClass = Class.forName("com.ibm.dtfj.image.j9.ImageFactory");
             ImageFactory factory = (ImageFactory) factoryClass.newInstance();
             image = factory.getImage(new File(coreFileName), new File(xmlFileName));
     } catch (ClassNotFoundException e) {
             System.err.println("Could not find DTFJ factory class:");
             e.printStackTrace(System.err);
     } catch (IllegalAccessException e) {
             System.err.println("Could not instantiate DTFJ factory class:");
             e.printStackTrace(System.err);
     } catch (InstantiationException e) {
             System.err.println("Could not instantiate DTFJ factory class:");
             e.printStackTrace(System.err);
     } catch (IOException e) {
             System.err.println("Could not find file required for bootstrapping:");
             e.printStackTrace(System.err);
     }

Field Summary
`static int` | `DTFJ_MAJOR_VERSION` The major version number of the current API.
`static int` | `DTFJ_MINOR_VERSION` The minor version number of the current API Note that this value will be inlined so users can reference it directly (ie: factory.getDTFJMinorVersion() >= ImageFactory.DTFJ_MINOR_VERSION)

Method Summary
`int` | `getDTFJMajorVersion()` Fetch the DTFJ major version number
`int` | `getDTFJMinorVersion()` Fetch the DTFJ minor version number
`int` | `getDTFJModificationLevel()` Fetch the DTFJ modification level
`Image` | `getImage(java.io.File imageFile)` Creates a new Image object based on the contents of imageFile
`Image` | `getImage(java.io.File imageFile, java.io.File metadata)` Creates a new Image object based on the contents of imageFile and metadata

Field Detail

### DTFJ_MAJOR_VERSION

    static final int DTFJ_MAJOR_VERSION

  The major version number of the current API. Note that this value will be inlined so users can reference it directly (ie: factory.getDTFJMajorVersion() >= ImageFactory.DTFJ_MAJOR_VERSION)

  See Also:
    Constant Field Values

### DTFJ_MINOR_VERSION

    static final int DTFJ_MINOR_VERSION

  The minor version number of the current API Note that this value will be inlined so users can reference it directly (ie: factory.getDTFJMinorVersion() >= ImageFactory.DTFJ_MINOR_VERSION)

  See Also:
    Constant Field Values

Method Detail

### getImage

    Image getImage(java.io.File imageFile)
                   throws java.io.IOException

  Creates a new Image object based on the contents of imageFile

  Parameters:
    `imageFile` - a file with Image information, typically a core file
  Returns:
    an instance of Image
  Throws:
    `java.io.IOException`

### getImage

    Image getImage(java.io.File imageFile,
                   java.io.File metadata)
                   throws java.io.IOException

  Creates a new Image object based on the contents of imageFile and metadata

  Parameters:
    `imageFile` - a file with Image information, typically a core file
    `metadata` - a file with additional Image information. This is an implementation defined file
  Returns:
    an instance of Image
  Throws:
    `java.io.IOException`

### getDTFJMajorVersion

    int getDTFJMajorVersion()

  Fetch the DTFJ major version number

  Returns:
    An integer corresponding to the DTFJ API major version number

### getDTFJMinorVersion

    int getDTFJMinorVersion()

  Fetch the DTFJ minor version number

  Returns:
    An integer corresponding to the DTFJ API minor version number

### getDTFJModificationLevel

    int getDTFJModificationLevel()

  Fetch the DTFJ modification level

  Returns:
    An integer corresponding to the DTFJ API modification level
  Since:
    SDK 6.0 SR1 (DTFJ version 1.2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD